
QGIS Application - Bug report #13508

QGIS master: table preview in DB Manager completely empty

2015-10-04 11:01 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21552

Description

subject says it all.

Related issues:

Related to QGIS Application - Bug report # 13505: python error when trying to... Closed 2015-10-04

History

#1 - 2015-10-04 11:53 AM - Salvatore Larosa

- Status changed from Open to Feedback

Do you mean the table tab?

I can see the attribute table either SL or PostGIS (with revision 396ec22).

#2 - 2015-10-04 11:54 AM - Giovanni Manghi

- Status changed from Feedback to Open

the table (of attributes) preview in DB Manager. This is on QGIS master.

#3 - 2015-10-04 12:00 PM - Salvatore Larosa

Which revision you are getting this with?

mine is QGIS master too.

#4 - 2015-10-04 12:04 PM - Giovanni Manghi

- File dbman added

QGIS code revision

ed32f49

and is on Windows, because at the moment I cannot test on Linux.

See attached image.

2024-04-23 1/2



#5 - 2015-10-04 12:32 PM - Salvatore Larosa

- Operating System set to Windows

I think we have need more feedback here.

Do you are getting some error? messagelog?

#6 - 2015-10-04 12:34 PM - Giovanni Manghi

Salvatore Larosa wrote:

I think we have need more feedback here.

Do you are getting some error? messagelog?

while trying to preview many tables I get this #13505

that has already been fixed, but as I said at the moment I cannot compile on Linux, so I must wait a new build for Windows.

#7 - 2015-10-04 12:43 PM - Salvatore Larosa

on Linux with latest master works fine and you haven't need to build to test it.

But you can try to apply the patch in commit:396ec2, I am pretty sure that fix the issue!

Just download data_model.py file from github and replace it in apps/qgis-dev/python/plugins/db_manager/db_plugins/

Thanks.

#8 - 2015-10-04 12:46 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

right, I forgot db manager is python. That fix fixed also this issue.

#9 - 2015-10-04 12:49 PM - Salvatore Larosa

That's why I tagged the issue as feedback! ;-)

Files

dbman 176 KB 2015-10-04 Giovanni Manghi
